package Interfaces;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.widget.LinearLayout;


/**
 * Created by 58381 on 2018/2/27.
 */

public interface BaseActivityInterface {
    void onCreate(Bundle savedInstanceState, LinearLayout layout, Context context, Intent intent);
    void onRestart();
    void onResume();
    void onPause();
    void onDestroy();
    void getIntent(Intent intent);
    boolean onKeyDown(int keyCode, KeyEvent event);
    boolean onKeyUp(int keyCode, KeyEvent event);
    boolean onTouchEvent(MotionEvent event);
    Data getData();
    class Data{
        private String type;
        private String url;

    }
}
